%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Secure Shell Client
Name: hotssh
Version: 0.2.7
Release: 11%{?dist}
#VCS: git:git://git.gnome.org/hotssh
Source0: http://ftp.gnome.org/pub/GNOME/sources/hotssh/0.2/hotssh-%{version}.tar.bz2
License: GPLv2+
Group: User Interface/Desktops
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
URL: http://www.gnome.org/projects/hotssh
BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: dbus-python pygtk2
Requires: pygtk2
Requires: gnome-python2-desktop
Requires: dbus-python
Requires: gnome-python2-gnomevfs

%description
HotSSH is an interface to Secure Shell, for 
GNOME and OpenSSH. It intends to be a better 
experience than simply invoking "ssh" from an 
existing terminal window. 

%prep
%setup -q

%build
python ./waf configure --prefix=%{_prefix}
python ./waf

%install
rm -rf $RPM_BUILD_ROOT
python ./waf install --destdir=$RPM_BUILD_ROOT
desktop-file-install \
  --delete-original \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/hotssh
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/doc/*
%dir %{python_sitelib}/hotssh/
%{python_sitelib}/hotssh/*

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Feb 05 2010 Colin Walters <walters@verbum.org> - 0.2.7-1
- New upstream

* Mon Aug 24 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.2.6-4
- Fix URL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Colin Walters <walters@redhat.com> - 0.2.6-1
- New upstream

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.5-2
- Rebuild for Python 2.6

* Fri Aug 01 2008 Colin Walters <walters@redhat.com> - 0.2.5-1
- New upstream

* Tue Jul 29 2008 Colin Walters <walters@redhat.com> - 0.2.2-1
- New upstream
- Minor tweaks from review

* Mon Jul 28 2008 Colin Walters <walters@redhat.com> - 0.2.1-1
- Tweak spec goo:
  - .desktop file
  - dir ownership
  - BuildRequires

* Fri Jul 11 2008 Colin Walters <walters@redhat.com> - 0.2-1
- Create spec goo
